<?php
$seq_id = $_GET['seq_id'];
echo '<h1>Modification d\'une séquence</h1>';
// Vérification de la présence de grilles : EMI et PERSO
$verif_emi = mysqli_query($bdd,"SELECT * FROM ".$prefix."_savoirs3 WHERE s3_id LIKE 'EMI%'");
$nb_sav_emi = mysqli_num_rows($verif_emi);
$verif_per = mysqli_query($bdd,"SELECT * FROM ".$prefix."_savoirs6 WHERE s6_id LIKE 'PER%'");
$nb_sav_per = mysqli_num_rows($verif_per);

// Affichage du formulaire
echo '<h2>Modifier le formulaire ci-dessous.</h2>
<p><span class="signal">*</span> : champs obligatoires</p>';

echo '<p>Le champ "Savoirs en information-documentation", renseigné, permet l\'évaluation par séquence<br />(dans le module évaluation).';
if($nb_sav_emi>0) {
	echo ' De même pour l\'EMI.';
}
if($nb_sav_per>0) {
	echo ' De même pour la grille personnalisée.';
}
echo '</p>';

echo '<script language=javascript>
		function OuvrirPopup(page,nom,option) {
		  window.open(page,nom,option);
		}
		</script>';
if(isset($_POST['docsconfirm'])) {
	// Gestion des fichiers (suppression) :
	$seqdocs = mysqli_query($bdd,"SELECT * FROM ".$prefix."_seqdocs WHERE seq_id = '".$seq_id."' ORDER BY docname ASC");
	$seqdocs_nb = mysqli_num_rows($seqdocs);
	if($seqdocs_nb>0) {
		$h=1;
		while($liste_docs = mysqli_fetch_assoc($seqdocs)) {
			if($_POST[$h]=="") {
				//sélection et suppression des images
				$rep_img = 'seqfichiers/'.$prefix;
				$rep_img_open = opendir($rep_img);
				$chemin = $rep_img."/".$liste_docs['docurl'];
				unlink($chemin);
				mysqli_query($bdd,"DELETE FROM ".$prefix."_seqdocs WHERE doc_id = '".$liste_docs['doc_id']."'");
				closedir($rep_img_open);
			}
			$h++;
		}
	}
	// Gestion des fichiers (ajout) :
	include('db/proc/edit_newfiles.php');
}
$seq = mysqli_query($bdd,"SELECT * FROM ".$prefix."_sequences WHERE seq_id = '$seq_id'");
$seq_nb = mysqli_num_rows($seq);
if($seq_nb==0) {
	echo '<script language="Javascript">
	<!--
	document.location.replace("edit.php?page=consult");
	// -->
	</script>';
}
else {
	echo '<div class="fiche_consult">';
	echo '<script type="text/javascript">
			function selection(pDiv){
				var couleur = "red 2px solid";
				var couleurw = "white 2px solid";
				var color = "red";
				var colorw = "white";			    
	            document.getElementById(pDiv).style.border = couleur;
				document.getElementById(pDiv).style.color = color;
				setTimeout(() => {  
					document.getElementById(pDiv).style.color = colorw; 
					document.getElementById(pDiv).style.border = couleurw;
					}, 2000);
			}
			function validcolor(pDiv){
				var couleur = "green 2px solid";
				var couleurw = "white 2px solid";
				var color = "green";
				var colorw = "white";			    
	            document.getElementById(pDiv).style.border = couleur;
				document.getElementById(pDiv).style.color = color;
				setTimeout(() => {  
					document.getElementById(pDiv).style.color = colorw; 
					document.getElementById(pDiv).style.border = couleurw;
					}, 2000);
			}
			function checkchamps(divCheck){
				document.getElementById(divCheck).style.display = \'block\';
				document.getElementById("hidedocv").style.display = \'none\';
			}
		</script>';
	
	
	$seq_info = mysqli_fetch_array($seq);
	$_SESSION['seq_nom']=$seq_info['seq_nom'];
	$_SESSION['seq_niv']=$seq_info['niveau'];
	$txt_type = array('seq_nom', 'contexte', 'niveau', 'progression', 'date_crea', 'date_maj', 'intervs', 'enjeux', 'requis', 'notions', 'SAVOIRS', 'autres', 'production', 'calendrier', 'ressources', 'synopsis', 'outils1', 'outils2', 'eval', 'reinves', 'bilan', 'conseils', 'documents', 'auteur', 'licence', 'url', 'seq_complete');
	$txt_typen = array('Nom', 'Contexte', 'Niveau', 'Place dans la progression<br>(par niveau)', 'Date de création', 'Date de mise à jour', 'Intervenants', 'Enjeux', 'Pré-requis éventuels', 'Notions info-documentaires', 'SAVID', 'Autres savoirs', 'Production attendue', 'Calendrier prévisionnel', 'Ressources sélectionnées pour les élèves', 'Synopsis', 'Outils pour soi', 'Outils pour les élèves', 'Evaluation prévue des élèves', 'Réinvestissements prévus', 'Bilan de la séquence', 'Conseils aux futurs utilisateurs', 'DOCUMENTS', 'Auteur', 'Licence', 'Adresse URL de la séquence', 'Séquence formalisée');
	echo "<script language='javascript'>
		window.onmousedown = function (e) {
	    var el = e.target;
	    if (el.tagName.toLowerCase() == 'option' && el.parentNode.hasAttribute('multiple')) {
	        e.preventDefault();

	        if (el.hasAttribute('selected')) el.removeAttribute('selected');
	        else el.setAttribute('selected', '');

	        var select = el.parentNode.cloneNode(true);
	        el.parentNode.parentNode.replaceChild(select, el.parentNode);
	    }
	}
	</script>";
	for($i=0;$i<count($txt_type);$i++) {
		if($txt_type[$i]=='seq_nom') {
			echo '<br><hr class="hr1n"> <h3>Identification</h3>';
		}
		else if($txt_type[$i]=='enjeux') {
			echo '<br> <br><hr class="hr1n"> <h3>Préalable</h3>';
		}
		else if($txt_type[$i]=='production') {
			echo '<br> <br><hr class="hr1n"> <h3>Détail de la séquence</h3>';
		}
		else if($txt_type[$i]=='eval') {
			echo '<br> <br><hr class="hr1n"> <h3>&Eacute;valuation et bilan</h3>';
		}
		else if($txt_type[$i]=='documents') {
			echo '<a id="docs"></a>';
			echo '<br> <br><hr class="hr1n"> <h3>Documents</h3>';
		}
		else if($txt_type[$i]=='auteur') {
			echo '<br> <br><hr class="hr1n"> <h3>Mentions</h3>';
		}
		echo '<div class="seq_item" id="'.$txt_type[$i].'">';
			if($txt_type[$i]!='SAVOIRS'&&$txt_type[$i]!='documents') {
				echo '<br><hr class="hr2n"> <h4>'.$txt_typen[$i].' :</h4>';
			}
			include('edit_modif_case.php');
		echo '</div>';
	}
	echo '</div>';
	echo '<div class="fiche_boutons">';
	$seq_id = $_GET['seq_id'];
	echo '<input class="bouton boutseq" type="button" onclick="window.location.href=\'edit.php?page=consult&seq_id='.$seq_id.'\';" value="Consulter la fiche" />';
	echo '<form method="POST" action="edit.php?page=consult&seq_id='.$seq_id.'">
	<input class="bouton boutseq" type="submit" value="Supprimer la fiche" name="suppr" /></td></tr>
	</form>';
	echo '</div';
}
?>