<?php
echo '<meta charset="utf-8" />';
if(isset($_SESSION['user_droits'])) {
	$droits = substr($_SESSION['user_droits'],3,1);
	
	if ($droits!="2")
	{
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="./index.php">Accueil</a></p>';
	}
	else {
		
		function rand_chars($length = 25) {
		    $characters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
		    $charactersLength = strlen($characters);
		    $randomString = '';
		    for ($i = 0; $i < $length; $i++) {
		        $randomString .= $characters[rand(0, $charactersLength - 1)];
		    }
		    return $randomString;
		}

		echo '<h1>Paramètres du module de Fréquentation</h1>';

		//Vérification des suspensions
		include('db/proc/freq_finsuspension.php');

		//HORAIRES
		echo '<h2>Horaires</h2>';
		echo '<p class="maxwidth">Les horaires et leur ouverture sont utilisés dans plusieurs modules.<br>Ils sont modifiables <a href="param.php?page=horaires">dans les paramètres généraux</a>.</p>';

		echo '<hr class="param">';

		//AFFICHAGE DES INSCRITS
		echo '<h2>Ordre d\'affichage des inscrits</h2>';
		$espopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'espaces_gestion'"));
		echo '<p>Vous pouvez choisir l\'ordre d\'affichage des inscrits selon';
		if($espopt['valeur']==1) { echo ' cinq'; } else { echo ' quatre'; }
		echo ' propositions :</p>';
		$oaf = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_ordreaff'");
		$oaf_info = mysqli_fetch_assoc($oaf);
		echo '<input type="radio" name="ordreaf" id="ordreaffdiv" value="div" ';
		if($oaf_info['valeur']=="div") { echo 'checked'; }
		echo ' /><label for="ordreaffdiv">Par division, nom de famille puis prénom</label>
		<br><input type="radio" id="ordreaffact" name="ordreaf" value="act" '; 
		if($oaf_info['valeur']=="act") { echo 'checked'; }
		echo ' /><label for="ordreaffact">Selon l\'activité (puis division et nom)</label>
		<br><input type="radio" id="ordreaffnom" name="ordreaf" value="nom" '; 
		if($oaf_info['valeur']=="nom") { echo 'checked'; }
		echo ' /><label for="ordreaffnom">Par nom de famille puis prénom</label>
		<br><input type="radio" id="ordreaffhor" name="ordreaf" value="hor" '; 
		if($oaf_info['valeur']=="hor") { echo 'checked'; }
		echo ' /><label for="ordreaffhor">Selon l\'heure d\'arrivée (ou l\'ordre de réservation)</label>';
		if($espopt['valeur']==1) { 
			echo '<br><input type="radio" id="ordreaffesp" name="ordreaf" value="esp" '; 
			if($oaf_info['valeur']=="esp") { echo 'checked'; }
			echo ' /><label for="ordreaffesp">Selon l\'espace (puis division, nom, prénom) - l\'espace principal reste premier</label>';
		}
		echo '<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="ordreaffs(this);colorval(\'ordreaff\');" id="ordreaff" value="Valider" name="ordreaff_valid" /></p>';
		echo '<script type="text/javascript">
			function ordreaffs(param) {
			var param = "ordreaff";
			var typ = document.getElementsByName("ordreaf");              
            for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var typc = typ[i].value;
            }
			$.ajax({
			    type: "POST",
			    data: { param: param, typc: typc },
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';

		echo '<hr class="param">';

		//ACTIVITES
		echo '<h2 id="activites">Activités</h2>';		
		
		// Gestion de la suppression d'une activité
		if(isset($_POST['activ_suppr'])) {
			$activ = mysqli_query($bdd,"DELETE FROM ".$prefix."_freqactiv WHERE code_activ = '".$_POST['suppractiv']."'");
		}		
		// Gestion du choix d'activité par défaut
		if(isset($_POST['activ_default'])) {
			$code_activ = $_POST['defaultactiv'];
			mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET default_activ = 0");
			if($code_activ!="") {
				mysqli_query($bdd,"UPDATE ".$prefix."_freqactiv SET activ_activ = 1, default_activ = 1 WHERE code_activ = '".$code_activ."'");
				if(isset($_POST['verractiv'])) { $verractiv = 1; } else { $verractiv = 0; }
				mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$verractiv."' WHERE param_nom = 'freq_verractiv'");				
			}
		}
		
		// Gestion de l'ajout d'une activité
		if(isset($_POST['newactiv_valid'])) {
			$nomnew = mysqli_real_escape_string($bdd,trim($_POST['activite']));
			$nom_verif = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE nom_activ = '".$nomnew."'"));
			if($nom_verif==0) {

			}
			$nomnew = mysqli_real_escape_string($bdd,trim($_POST['activite']));
			$nom_verif = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE nom_activ = '".$nomnew."'"));
			if($nom_verif==0) {
				$code_activ = rand_chars(4);
				while(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ = '".$code_activ."'"))>0) {
					$code_activ = rand_chars(4);
				}
				mysqli_query($bdd,"INSERT INTO ".$prefix."_freqactiv (activ_id, code_activ, nom_activ, activ_activ, default_activ, consult_activ) VALUES ('', '".$code_activ."', '".$nomnew."', 1, 0, 1)");
			}
			else {
				echo '<p class="signal">Nom ou codage déjà utilisé.</p>';
			}
		}		
		
		// Activations
		echo '<p class="maxwidth">Vous pouvez définir plusieurs activités et définir celles que vous voulez voir apparaître lors de l\'inscription des élèves. <b>Une activité doit être cochée pour être utilisée lors des inscriptions</b>.</p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ <> 'ZERO' ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==0) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			foreach($activ as $check_activ) {
				if($check_activ['activ_activ'] == "1") { $check = "checked"; } else { $check = "0"; }
				echo '<input type="checkbox" name="'.$check_activ['code_activ'].'" id="c'.$check_activ['code_activ'].'" '.$check.'/> <label for="c'.$check_activ['code_activ'].'">'.$check_activ['nom_activ'].'</label><br>';
			}
			echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="activactiv(this);colorval(\'activactiv\');" value="Valider" id="activactiv" name="activ_valid" /></p>';
		}
		echo '<script type="text/javascript">
			function activactiv(param) {
			var param = "activactiv";';
			foreach($activ as $check_code) {
				echo ' var c'.$check_code['code_activ'].' = document.getElementById("c'.$check_code['code_activ'].'").checked;
				if(c'.$check_code['code_activ'].'===false) {
					var t'.$check_code['code_activ'].' = 0;
				}
				else {
					var t'.$check_code['code_activ'].' = 1;
				}';
			}
			echo ' $.ajax({
			    type: "POST",
			    data: { param: param'; 
			    foreach($activ as $check_code) { echo ', t'.$check_code['code_activ'].':t'.$check_code['code_activ'].' '; } 
			    echo '},
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';
		// Suppression
		echo '<p><b>Suppression d\'une activité :</b></p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ <> 'ZERO' ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==0) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			echo'<form method="POST" name="suppractiv" action="freq.php?page=param#activites" class="padd3">Activité à supprimer : <div class="box"><select name="suppractiv" value=""><option></option>';
			$liste_activ = mysqli_query($bdd,"SELECT code_activ, nom_activ FROM ".$prefix."_freqactiv ORDER BY nom_activ ASC");
			while($liste = mysqli_fetch_assoc($liste_activ)) {
				if($liste['code_activ']=="ZERO") { }
				else {
					echo '<option value="'.$liste['code_activ'].'">'.$liste['nom_activ'].'</option>';
				}
			}
			echo '</select></div> <input class="bouton boutfreq" type="submit" value="Supprimer" name="activ_suppr" /></form>';
		}
		// Choix de l'activité par défaut
		echo '<p><b>Activité par défaut lors de l\'inscription :</b></p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ <> 'ZERO' ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==0) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			$activd = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE default_activ = 1");
			$nom_activd = mysqli_fetch_assoc($activd);
			if(@$nom_activd['code_activ']=="ZERO"||mysqli_num_rows($activd)==0) {
				echo '<p>Aucune activité définie par défaut</p>';
			}
			else {
				echo '<p>L\'activité "<b>'.$nom_activd['nom_activ'].'</b>" est actuellement définie par défaut.</p>';
			}
			echo'<form method="POST" name="defaultactiv" action="freq.php?page=param#activites" class="padd3">Activité par défaut : <div class="box"><select name="defaultactiv" value=""><option></option>';
			$liste_activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ <> 'ZERO' ORDER BY nom_activ ASC");
			foreach($liste_activ as $liste) {
				echo '<option value="'.$liste['code_activ'].'"';
				if(@$nom_activd['code_activ']==$liste['code_activ']) {
					echo ' selected ';
				}
				echo '>'.$liste['nom_activ'].'</option>';
			}
			echo '</select></div>
			<br><input type="checkbox" id="verractiv" name="verractiv"';
			$verrtest = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_verractiv'"));
			if($verrtest['valeur']==1) { echo 'checked'; }
			echo ' /><label for="verractiv">Verrouillage de l\'activité par défaut</label><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="activ_default" /></p></form>';
		}
		
		// Ajout d'une activité
		echo '<p><b>Ajout d\'une activité :</b></p>';
		echo '<form method="POST" name="newactiv" action="freq.php?page=param#activites" class="padd3">Nom de l\'activité : <input type="text" class="inptxt" name="activite" maxlength="20" /> <input class="bouton boutfreq" type="submit" value="Valider" name="newactiv_valid" /></form>';
		
		// Activités visibles en consultation (paramétrage si option)
		echo '<p><b>Elèves visibles en mode consultation :</b></p>';
		$activ = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqactiv WHERE code_activ <> 'ZERO' ORDER BY nom_activ ASC");
		$nb_activ = mysqli_num_rows($activ);
		if($nb_activ==0) {
			echo '<p>Aucune activité disponible.</p>';
		}
		else {
			echo '<p class="maxwidth">Seuls les élèves des activités cochées sont visibles dans le mode consultation :</p>';
			foreach($activ as $check_activ) {
				if($check_activ['consult_activ'] == "1") { $check = "checked"; } else { $check = "0"; }
				echo '<input type="checkbox" name="'.$check_activ['code_activ'].'" id="cons'.$check_activ['code_activ'].'" '.$check.'/> <label for="cons'.$check_activ['code_activ'].'">'.$check_activ['nom_activ'].'</label><br>';
			}
			echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="consultactiv(this);colorval(\'consultactiv\');" value="Valider" id="consultactiv" name="consultactiv_valid" /></p>';
		}
		echo '<script type="text/javascript">
			function consultactiv(param) {
			var param = "consultactiv";';
			foreach($activ as $check_code) {
				echo ' var cons'.$check_code['code_activ'].' = document.getElementById("cons'.$check_code['code_activ'].'").checked;
				if(cons'.$check_code['code_activ'].'===false) {
					var tc'.$check_code['code_activ'].' = 0;
				}
				else {
					var tc'.$check_code['code_activ'].' = 1;
				}';
			}
			echo ' $.ajax({
			    type: "POST",
			    data: { param: param'; 
			    foreach($activ as $check_code) { echo ', tc'.$check_code['code_activ'].':tc'.$check_code['code_activ'].' '; } 
			    echo '},
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';

		// Visibilité des activités en consultation (paramétrage si option)
		echo '<p><b>Activités visibles en mode consultation :</b></p>';
		echo '<input type="checkbox" id="consultactiv_opt" name="consultactiv_opt" ';
		$check_consultactiv_opt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_consultactiv'"));
		if($check_consultactiv_opt['valeur']==1) { echo 'checked'; }
		echo ' /><label for="consultactiv_opt"> Visualisation des activités des élèves dans le mode de consultation</label><p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="visibleactiv(this);colorval(\'visibleactiv\');" id="visibleactiv" value="Valider" name="consultactiv_opt_valid" /></p>';
		echo '<script type="text/javascript">
			function visibleactiv(param) {
			var param = "visibleactiv";
			var checkedver = document.getElementById("consultactiv_opt").checked;
			if(checkedver===false) {
				var visible = "0";
			}
			else {
				var visible = "1";
			}
			$.ajax({
			    type: "POST",
			    data: { param: param, visible: visible },
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';

		//Récupération de l'option de gestion des différents espaces
		$espopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'espaces_gestion'"));
		
		echo '<hr class="param">';

		//PASSAGE CRENEAU SUIVANT
		echo '<h2>Passage anticipé au créneau suivant</h2>';
		echo '<p class="maxwidth">L\'option suivante permet de passer en inscription sur le créneau suivant plusieurs minutes avant la fin du créneau en cours.</p>';
		$nb_anticip = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_creneausuiv'"));
		echo 'Nombre de minutes d\'anticipation : <div class="box"><select value="" id="minutes" name="minutes">
			<option></option>';
		$optant = array('0','5','10','15');
		for($i=0;$i<count($optant);$i++) {
			echo '<option value="'.$optant[$i].'"';
			if($nb_anticip['valeur']==$optant[$i]) {
				echo ' selected ';
			}
			echo '>'.$optant[$i].' minutes</option>';
		}
		echo '</select></div>
		<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="anticipval(this);colorval(\'anticipval\');" id="anticipval" value="Valider" name="anticip_valid" /></p>';
		echo '<script type="text/javascript">
			function anticipval(param) {
			var param = "anticipe";
			var val = document.getElementById("minutes").value;          
            $.ajax({
			    type: "POST",
			    data: { param: param, val: val },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		//INSCRIPTION SUR PLUSIEURS CRENEAUX
		echo '<h2>Permission d\'inscription sur plusieurs créneaux</h2>';
		echo '<p class="maxwidth">Cette option permet de donner la possibilité d\'inscrire directement les élèves sur plusieurs créneaux. Attention, cette fonction est ouverte également sur le libre service.</p>';
		$nb_cren = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_multiinscrit'"));
		echo 'Nombre de créneaux à la suite : <input type="number" min="0" max="20" value="'.$nb_cren['valeur'].'" id="nbcren" name="nbcren"><p class="paddvalid1">
		<input class="bouton boutfreq" type="submit" value="Valider" onclick="multicrenval(this);colorval(\'multicrenval\');" id="multicrenval" name="multicren_valid" /></p>';
		echo '<script type="text/javascript">
			function multicrenval(param) {
			var param = "multicren";
			var val = document.getElementById("nbcren").value;          
            $.ajax({
			    type: "POST",
			    data: { param: param, val: val },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<hr class="param">';

		//AFFICHAGE DES INSCRITS SUR CRENEAU PRECEDENT
		echo '<h2 id="crenprecdiv">Options d\'affichage des inscrits du créneau précédent</h2>';
		$crprechoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crprechoix'"));
		echo '<input type="radio" name="crenprec" id="0h" value="0h" ';
		if(substr($crprechoix_info['valeur'],0,1)==0) { echo 'checked'; }
		echo ' /><label for="0h">Ne pas afficher les inscrits du créneau précédent</label>
		<br><input type="radio" name="crenprec" id="1h" value="1h" '; 
		if($crprechoix_info['valeur']=='1h') { echo 'checked'; }
		echo ' /><label for="1h">Afficher les inscrits du créneau précédent (non masqués, au-dessus des inscrits)</label>
		<br><input type="radio" name="crenprec" id="1b" value="1b" '; 
		if($crprechoix_info['valeur']=='1b') { echo 'checked'; }
		echo ' /><label for="1b">Afficher les inscrits du créneau précédent (non masqués, au-dessous des inscrits)</label>
		<br><input type="radio" name="crenprec" id="2h" value="2h" '; 
		if($crprechoix_info['valeur']=='2h') { echo 'checked'; }
		echo ' /><label for="2h">Afficher les inscrits du créneau précédent (masqués, au-dessus des inscrits)</label>
		<br><input type="radio" name="crenprec" id="2b" value="2b" '; 
		if($crprechoix_info['valeur']=='2b') { echo 'checked'; }
		echo ' /><label for="2b">Afficher les inscrits du créneau précédent (masqués, au-dessous des inscrits)</label>';

		echo '<br><p class="paddvalid1"><input class="bouton boutfreq" onclick="crenprecval(this);colorval(\'crenprecval\');" id="crenprecval" type="submit" value="Valider" name="crenprec_valid" /></p>';
		echo '<script type="text/javascript">
			function crenprecval(param) {
			var param = "crenprec";
			var typ = document.getElementsByName("crenprec");              
            for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var typc = typ[i].value;
            }
			$.ajax({
			    type: "POST",
			    data: { param: param, typc: typc },
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';

		echo '<hr class="param">';

		//GRAPPES ET PASSAGES
		echo '<h2>Inscription par groupes et passages</h2>';
		echo '<input type="checkbox" name="appelgrappes" id="appelgrappes"';
		$appelchoix = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_grappes'");
		$appelchoix_info = mysqli_fetch_assoc($appelchoix);
		if ($appelchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="appelgrappes"> Inscription par ensembles ou grappes d\'élèves</label><br>';
		echo '<input type="checkbox" name="appelpass" id="appelpass"';
		$appelchoix = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_passages'");
		$appelchoix_info = mysqli_fetch_assoc($appelchoix);
		if ($appelchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="appelpass"> Inscription de passages (si l\'inscription par ensembles est activée)</label><br>';
		echo '<p class="paddvalid1"><input class="bouton boutfreq" onclick="passagesval(this);colorval(\'passagesval\');" id="passagesval" type="submit" value="Valider" name="grap_valid" /></p>';
		echo '<script type="text/javascript">
			function passagesval(param) {
			var param = "passages";
			var checkedensem = document.getElementById("appelgrappes").checked;
			var checkedpass = document.getElementById("appelpass").checked;
			if(checkedensem===false) {
				var ensemble = "0";
			}
			else {
				var ensemble = "1";
			}
			if(checkedpass===false) {
				var passages = "0";
			}
			else {
				var passages = "1";
			}
			$.ajax({
			    type: "POST",
			    data: { param: param, ensemble: ensemble, passages: passages},
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';
		
		echo '<hr class="param">';

		//MAX ELEVES ET REFUS
		echo '<h2>Seuils et refus</h2>';
		echo '<p>Vous pouvez définir un nombre maximal d\'élèves admis au CDI, et de réservations.<br>Une fois le seuil dépassé, soit vous choisissez une alerte, soit les inscriptions sont bloquées.</p>';
		echo '<p>Vous pouvez définir des seuils spécifiques par créneau <a href="param.php?page=horaires">dans la page de gestion des horaires</a>.</p>';
		// Inscriptions :
		echo '<b>Seuil pour les inscriptions :</b>';
		$sin = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilnbi'");
		$sin_info = mysqli_fetch_assoc($sin);
		$sir = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilreaci'");
		$sir_info = mysqli_fetch_assoc($sir);
		echo '<p>Nombre maximal (0 : pas de limite) : <input type="number" class="number" id="seuilinb" name="seuilinb" value="'.$sin_info['valeur'].'" /><br>Réaction : <input type="radio" name="seuilireac" id="alert" value="alert" ';
		if($sir_info['valeur']=="alert") { echo 'checked'; }
		echo ' /><label for="alert">Simple alerte</label> <input type="radio" name="seuilireac" id="stopp" value="stopp" '; 
		if($sir_info['valeur']=="stopp") { echo 'checked'; }
		echo ' /><label for="stopp">Arrêt des inscriptions</label> &nbsp; <input class="bouton boutfreq" type="submit" value="Valider" onclick="seuili_val(this);colorval(\'seuili_val\');" id="seuili_val" name="seuili_valid" /></p>';
		echo '<script type="text/javascript">
			function seuili_val(param) {
			var param = "seuili";
			var typ = document.getElementsByName("seuilireac");    
			var val = document.getElementById("seuilinb").value;          
            for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var typd = typ[i].value;
            }
			$.ajax({
			    type: "POST",
			    data: { param: param, typd: typd, val: val },
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';

		if($espopt['valeur']==1) {
			echo '<b>Visibilité des inscriptions et seuils par espace</b>';
			$visesp = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_vision_espaces_ins'"));
			echo '<p><input type="checkbox" name="visibesp" id="visibesp" ';
			if($visesp['valeur']==1) { $check = 'checked'; } else { $check = 0; }
			echo $check.' /><label for="visibesp">activation de la visibilité des inscriptions et seuils par espace</label> &nbsp;  <input class="bouton boutfreq" onclick="visibleseuil(this);colorval(\'visibleseuil\');" id="visibleseuil" type="submit" value="Valider" name="visibesp_valid" /></p>';
			echo '<script type="text/javascript">
				function visibleseuil(param) {
				var param = "visibleseuil";
				var checkedver = document.getElementById("visibesp").checked;
				if(checkedver===false) {
					var visible = "0";
				}
				else {
					var visible = "1";
				}
				$.ajax({
				    type: "POST",
				    data: { param: param, visible: visible },
				    url: "js/idl/freq_param_syn.php",
				   });
				}
			</script>';
		}
		// Réservations :
		echo '<b>Seuil pour les réservations :</b>';
		$srn = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilnbr'");
		$srn_info = mysqli_fetch_assoc($srn);
		$srr = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_seuilreacr'");
		$srr_info = mysqli_fetch_assoc($srr);
		echo '<p>Nombre maximal (0 : pas de limite) : <input type="number" class="number" name="seuilrnb" id="seuilrnb" value="'.$srn_info['valeur'].'" /><br>Réaction : <input type="radio" name="seuilrreac" id="ralert" value="alert" ';
		if($srr_info['valeur']=="alert") { echo 'checked'; }
		echo ' /><label for="ralert">Simple alerte</label> <input type="radio" name="seuilrreac" id="rstopp" value="stopp" '; 
		if($srr_info['valeur']=="stopp") { echo 'checked'; }
		echo ' /><label for="rstopp">Arrêt des inscriptions</label> &nbsp;  <input class="bouton boutfreq" type="submit" value="Valider" onclick="seuilr_val(this);colorval(\'seuilr_val\');" id="seuilr_val" name="seuilr_valid" /></p>';
		echo '<script type="text/javascript">
			function seuilr_val(param) {
			var param = "seuilr";
			var typ = document.getElementsByName("seuilrreac");    
			var val = document.getElementById("seuilrnb").value;          
            for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var typd = typ[i].value;
            }
			$.ajax({
			    type: "POST",
			    data: { param: param, typd: typd, val: val },
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';

		// Refus de réservations :
		$periodsus = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resref_date'"));
		// Gestion pour les suspensions
		if(isset($_POST['suspension'])) {
			$seleve = $_POST['eleve'];
			// récup du nom et du prénom
			$snom = substr($seleve, 0, strpos($seleve,","));
			$sprenom_beg = strstr($seleve, ', ');
			$sdiv_find1 = '('; // on recherche la parenthèse avant la division
			$sdiv_pos1 = strpos($seleve, $sdiv_find1); // on définit la position de la 1re parenthèse
			$sdiv_find2 = ')'; // on recherche la parenthèse après la division
			$sdiv_pos2 = strpos($seleve, $sdiv_find2); // on définit la position de la 2e parenthèse
			$sprenom_end = $sdiv_pos2 - $sdiv_pos1 + 2;
			$sprenom = substr($sprenom_beg, 2, -$sprenom_end);
			// recherche de la division
			$sdiv_deb = $sdiv_pos1 + 1; // on définit le premier caractère pour la division
			$sdiv = substr($seleve, $sdiv_deb, -1); // on trouve la division
			// sélection de l'élève dans la bdd
			$eleve = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE nom = '".mysqli_real_escape_string($bdd,$snom)."' AND prenom = '".mysqli_real_escape_string($bdd,$sprenom)."' AND division = '$sdiv'");
			$eleve_info = mysqli_fetch_assoc($eleve);
			$eleve_id = $eleve_info['eleves_id'];
			// vérif dans freqresref
			$verifele = mysqli_query($bdd,"SELECT eleves_id FROM ".$prefix."_freqresref WHERE eleves_id = '".$eleve_id."'");
			$verifele_nb = mysqli_num_rows($verifele);
			if($verifele_nb==0) {
				if($_POST['nbjours_ele']==0) { $date='0000-00-00'; }
				else {
					$calendar = mysqli_query($bdd,"SELECT * FROM ".$prefix."_calendrier WHERE date > '".date('Y-m-d')."' AND statut = 1");
					$i=0;
					foreach($calendar as $datecheck) {
						if($i==$_POST['nbjours_ele']+1) { break; }
						$date = $datecheck['date'];
						$i++;
					}
				}
				mysqli_query($bdd,"INSERT ".$prefix."_freqresref (eleves_id, todate) VALUES ('".$eleve_id."', '".$date."')");
				mysqli_query($bdd,"DELETE FROM ".$prefix."_freqres WHERE eleves_id = '".$eleve_id."' AND user_id = '0'");
			}
		}
		echo '<b id="suspension">Suspension des réservations :</b>';
		echo '<p>Nombre de journées de suspension par défaut : <input type="number" min="0" class="number" name="nbjours" id="nbjours" value="'.$periodsus['valeur'].'" /> jours (<i>0 : pas de période définie</i>) &nbsp;  <input class="bouton boutfreq" type="submit" onclick="suspduree(this);colorval(\'suspduree\');" id="suspduree" name="valjours" value="Changer" /></p>';
		echo '<script type="text/javascript">
			function suspduree(param) {
			var param = "suspduree";
			var val = document.getElementById("nbjours").value;          
           	$.ajax({
			    type: "POST",
			    data: { param: param, val: val },
			    url: "js/idl/freq_param_syn.php",
			   });
			}
		</script>';
		echo '<form method="POST" name="eleve" action="#suspension">
		<label for="eleves">Nom et prénom de l\'élève :</label> <input type="text" autocomplete="off" aria-autocomplete="none" class="inptxt" name="eleve" size="20" id="eleves" value=""> <input type="number" min="0" class="number" name="nbjours_ele" value="'.$periodsus['valeur'].'" /> jours &nbsp; <input class="bouton boutfreq" type="submit" value="Suspendre" name="suspension" />
		</form><br>';
		// Gestion de l'affichage des suspendus
		// récupération de l'ordre d'affichage souhaité
		$ordreaff = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_ordreaff'");
		$ordreaff_info = mysqli_fetch_assoc($ordreaff);
		if($ordreaff_info['valeur']=="div") {
			$ordre = "ORDER BY eleves.division ASC, eleves.nom ASC, eleves.prenom ASC";
		}
		else if($ordreaff_info['valeur']=="nom") {
			$ordre = "ORDER BY eleves.nom ASC, eleves.prenom ASC";
		}
		else { $ordre = ""; }
		// affichage proprement dit
		$inscrits_select = "SELECT freq.eleves_id, freq.todate, eleves.nom, eleves.prenom, eleves.division 
		FROM ".$prefix."_freqresref freq 
		INNER JOIN ".$prefix."_eleves eleves
		ON freq.eleves_id = eleves.eleves_id
		".$ordre."";
		$inscrits = mysqli_query($bdd,$inscrits_select);
		$nb_inscrits = mysqli_num_rows($inscrits);
		
		if($nb_inscrits != 0) {
			echo '<table style="width:500px;">';
			foreach($inscrits as $liste) {
				echo '<tr id="ann'.$liste['eleves_id'].'"><td>'.$liste['division'].' - '.$liste['nom'].' '.$liste['prenom'].'</td><td>';
				if($liste['todate']!='0000-00-00') { echo 'jusqu\'au '.substr($liste['todate'],8,4).'/'.substr($liste['todate'],5,2).'/'.substr($liste['todate'],0,4); }
				echo '</td>';
				echo '<td><input class="bouton boutfreq" type="submit" value="Annuler" onclick="annul'.$liste['eleves_id'].'(this,\'ann'.$liste['eleves_id'].'\');" name="annuler'.$liste['eleves_id'].'" /></td></tr>';
				echo '<script type="text/javascript">
					function annul'.$liste['eleves_id'].'(param, divs) {
					var param = "suspannul";
					document.getElementById(divs).style.display = "none";   
					var ele_id = '.$liste['eleves_id'].';       
		            $.ajax({
					    type: "POST",
					    data: { param: param, ele_id: ele_id },
					    url: "js/idl/freq_param_syn.php",
					   });					
					}
				</script>';
			}
			echo '</table>';
		}		
		
		echo '<hr class="param">';
		
		//EXCLUSIONS
		echo '<h2 id="exclusions">Exclusions et limitations</h2>';

		if(isset($_POST['exclu_valid'])) {
			if(isset($_POST['excluopt'])) { $excluopt = 1; } else { $excluopt = 0; }
			mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '".$excluopt."' WHERE param_nom = 'freq_excluopt'");			
			echo '<script language="Javascript">
			<!--
			document.location.replace("freq.php?page=param");
			// -->
			</script>';
		}

		echo '<form method="POST" name="exclusions" action="" class="padd3">';

		echo '<input type="checkbox" name="excluopt" id="excluopt"';
		$excluopt_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_excluopt'"));
		if ($excluopt_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="excluopt"> Gestion des raisons et durées des exclusions et limitations</label><p class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" name="exclu_valid" /></p></form>';

		echo '<hr class="param">';
	
		//CRENEAU PAR DEFAUT RESERVATION
		echo '<h2 id="resas">Créneaux et activités pour les réservations</h2>';
		echo '<p class="maxwidth">Vous pouvez choisir le mode de réservation par défaut, et permettre ou non le choix du créneau par l\'usager.</p>';
		echo '<p class="maxwidth"><b>Créneau de réservation par défaut :</b><br><i>Vous pouvez choisir dans la liste de définir par défaut le créneau qui suit l\'heure, ou de choisir un créneau fixe (seulement le midi par exemple).</i></p>';
		// formulaire :
		echo '<div class="box"><select name="crendef" id="crendef" value="">';
		$crd = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crendef'");
		$crd_info = mysqli_fetch_assoc($crd);
		echo '<option value="suivant"';
		if($crd_info['valeur'] == "suivant") {
			echo ' selected ';
		}
		echo '>Créneau suivant</option>';
		if($crd_info['valeur'] != "suivant") {
			$crd_select = "SELECT param.valeur, hor.hor_name, hor.debut, hor.fin, hor.hor_freq
			FROM ".$prefix."_parametres param
			INNER JOIN ".$prefix."_horaires hor
			ON param.valeur = hor.hor_name
			WHERE param.param_nom = 'freq_crendef'";
			$crd = mysqli_query($bdd,$crd_select);
			$crd_info = mysqli_fetch_assoc($crd);
			$cren_check = $crd_info['valeur'];
		}
		$hor = mysqli_query($bdd,"SELECT * FROM ".$prefix."_horaires WHERE hor_freq = 1 ORDER BY num_creneau ASC");
		foreach($hor as $liste) {
			$cren = $liste['hor_name'];
			$deb_cren = substr("$cren", 0, 1);
			echo '<option value="'.$liste['hor_name'].'"';
			if($crd_info['valeur'] != "suivant") {
				if($cren_check==$liste['hor_name']) { echo ' selected '; }
			}
			echo '>'.$liste['hor_name'].' - ';
			if($deb_cren == "M") { echo 'Matin'; }
			else if($deb_cren == "A") { echo 'Après-midi'; }
			else if($deb_cren == "P") { echo 'Pause'; }
			else if($deb_cren == "R") { echo 'Midi'; }
			$deb = $liste['debut'];
			$dh = substr("$deb", 0, 2);
			$dm = substr("$deb", 3, 2);
			echo ' de '.$dh.'h'.$dm.' à ';
			$fin = $liste['fin'];
			$fh = substr("$fin", 0, 2);
			$fm = substr("$fin", 3, 2);
			echo ''.$fh.'h'.$fm.'';
			echo '</option>';
		}
		echo '</select></div>';
		// Autorisation de choix du créneau :
		echo '<p><b>Choix du créneau de réservation :</b></p>';
		$ccr = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_crenchoix'");
		$ccr_info = mysqli_fetch_assoc($ccr);
		echo '<input type="radio" name="crenchoix" id="crenchoix1" value="1" ';
		if($ccr_info['valeur']=="1") { echo 'checked'; }
		echo ' /><label for="crenchoix1">Autoriser le choix du créneau de réservation</label> <br><input type="radio" id="crenchoix0" name="crenchoix" value="0" '; 
		if($ccr_info['valeur']=="0") { echo 'checked'; }
		echo ' /><label for="crenchoix0">Ne pas autoriser ce choix (par défaut)</label>';

		echo '<p><b>Autres options pour les réservations :</b></p>';
		echo '&bull; &Eacute;vénements et activités :<br><input type="checkbox" name="eventblock" id="eventblock"';
		$crprechoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resblockevent'"));
		if ($crprechoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="eventblock"> Bloquage des réservations sur les créneaux occupés par des événements</label><br>
		<input type="checkbox" name="resactiv" id="resactiv"';
		$resactivchoix = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resactiv'"));
		if ($resactivchoix['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="resactiv"> Précision des activités prévues lors des réservations</label><br>';
		echo '<p class="maxwidth"><i>Le nombre de jours sur lequel on peut effectuer des réservations se définit par utilisateur <a href="param.php?page=users">dans les paramètres des utilisateurs</a></i>.</p>';
		echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="crenchoixval(this);colorval(\'crenchoixval\');" id="crenchoixval" value="Valider" name="resopts_valid" /></p>';
		echo '<script type="text/javascript">
			function crenchoixval(param) {
			var param = "crenchoix";
			var crendef = document.getElementById("crendef").value;            
            var typ = document.getElementsByName("crenchoix");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var crch = typ[i].value;
            }
            var checkbloc = document.getElementById("eventblock").checked;
			if(checkbloc===false) {
				var blocage = "0";
			}
			else {
				var blocage = "1";
			}
			var checkprec = document.getElementById("resactiv").checked;
			if(checkprec===false) {
				var precision = "0";
			}
			else {
				var precision = "1";
			}
			$.ajax({
			    type: "POST",
			    data: { param: param, crendef: crendef, crch: crch, blocage: blocage, precision: precision },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';
				
		//RESERVATION PAR LES ELEVES
		echo '<h2 id="resele">Option de réservation par les élèves (à distance)</h2>';
		echo '<p class="maxwidth">Cette option propose une autorisation de connexion à l\'accueil du logiciel, vers une page de réservation pour l\'élève.</p>';
		$reserv_could=mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve'"));
		$reserv_could_mdp=mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_mdp'"));
		echo '<input type="radio" id="reserv_distopt0" name="reserv_distopt" value="0" ';
		if ($reserv_could['valeur']==0) { echo 'checked'; }
		echo ' /><label for="reserv_distopt0"> Option non activée</label><br>
		<input type="radio" id="reserv_distopt1" name="reserv_distopt" value="1" ';
		if ($reserv_could['valeur']==1) { echo 'checked'; }
		echo ' /><label for="reserv_distopt1"> Accès générique (mot de passe puis par code élève pour réserver)</label>
		<br>&nbsp; &nbsp; &nbsp; &nbsp; Mot de passe (12 à 15 caractères) : <input type="text" class="inptxt" name="reservmdp" id="reservmdp" /><br>
		<input type="radio" id="reserv_distopt2" name="reserv_distopt" value="2" ';
		if ($reserv_could['valeur']==2) { echo 'checked'; }
		echo ' /><label for="reserv_distopt2"> Accès spécifique (identifiant et mot de passe pour chaque élève)</label>
		<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="reservsubval(this);colorval(\'reservsubval\');" id="reservsubval" name="reservsub" value="Valider" /></p>';
		echo '<script type="text/javascript">
			function reservsubval(param) {
			var param = "reservsub";
			var mdp = document.getElementById("reservmdp").value;            
            var typ = document.getElementsByName("reserv_distopt");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var resopt = typ[i].value;
            }
            if(resopt=="0") {
            	document.getElementById("resele_opts").style.display = "none";
            }
            if(resopt=="1") {
            	document.getElementById("resele_opts").style.display = "block";
            }
            if(resopt=="2") {
            	document.getElementById("resele_opts").style.display = "block";
            }
            $.ajax({
			    type: "POST",
			    data: { param: param, resopt: resopt, mdp: mdp },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		// Précision de l'activité dans la réservation à distance // Et EDT // Et Espaces
		$freq_reseleve_activ = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_activ'"));
		echo '<div id="resele_opts" name="resele_opts"';
		if($reserv_could['valeur']>0) { echo ' style="display:block;" '; }
		else { echo ' style="display:none;" '; }
		echo '>';
		$check_perso = mysqli_query($bdd,"SELECT id_perso FROM ".$prefix."_eleves WHERE id_perso <> ''");
		$auth_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resmodauth'"));
		echo '&bull; Mode d\'authentification des élèves (identifiant pour accès spécifique) :<br>
		<input type="radio" name="resauth" id="resauth0" value="code" ';
		if($auth_info['valeur']=="code") { echo 'checked'; } echo ' /><label for="resauth0"> Code de l\'élève</label><br>
		<input type="radio" name="resauth" id="resauth1" value="prenomnom" ';
		if($auth_info['valeur']=="prenomnom") { echo 'checked'; } echo ' /><label for="resauth1"> Prénom et nom au format prenom.nom</label><br>
		<input type="radio" name="resauth" id="resauth2" value="pnom" ';
		if($auth_info['valeur']=="pnom") { echo 'checked'; } echo ' /><label for="resauth2"> Prénom et nom au format pnom</label><br>';
		echo '<input type="radio" name="resauth" id="resauth3" value="perso" ';
		if($auth_info['valeur']=="perso") { echo 'checked'; } 
		if(mysqli_num_rows($check_perso)==0) { echo ' disabled="disabled" '; }
		echo ' /><label for="resauth3"> Identifiants personnalisés';
		if(mysqli_num_rows($check_perso)==0) { echo ' (à importer pour activer l\'option)'; }
		else { echo ' (importés) '; }
		echo '</label><br>';		
		echo '&bull; Précision des activités et espaces :<br>
		<input type="checkbox" id="resele_activ_check" name="resele_activ_check"';
		if($freq_reseleve_activ['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.' /><label for="resele_activ_check"> Précision de l\'activité dans la réservation à distance</label><br>';
		$freq_reseleve_esp = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_esp'"));
		if($espopt['valeur']==1) {
			echo '<input type="checkbox" id="resele_esp_check" name="resele_esp_check"';
			if($freq_reseleve_esp['valeur']==1) { $check = 'checked'; } else { $check = 0; }
			echo ' '.$check.' /><label for="resele_esp_check"> Réservation à distance par espaces</label><br>';
		}
		$crprpchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_resprintedt'"));
		echo '&bull; Affichage des EDT pour la réservation à distance :<br>
		<input type="radio" name="printedt" id="printedt0" value="0" ';
		if($crprpchoix_info['valeur']=="0") { echo 'checked'; } echo ' /><label for="printedt0"> Pas d\'affichage</label><br>
		<input type="radio" name="printedt" id="printedt1" value="1" ';
		if($crprpchoix_info['valeur']=="1") { echo 'checked'; } echo ' /><label for="printedt1"> Affichage des EDT validés en cours</label><br>
		<input type="radio" name="printedt" id="printedt2" value="2" ';
		if($crprpchoix_info['valeur']=="2") { echo 'checked'; } echo ' /><label for="printedt2"> Affichage d\'un EDT extrait sous forme d\'image</label><br>';
		$freq_reseleve_dureemax = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_dureemax'"));
		echo '&bull; Durée maximale d\'autorisation de réservation à distance :<br><input type="number" class="number" id="daymaxo" name="daymax" value="'.$freq_reseleve_dureemax['valeur'].'" /> jours (0 : pas de limite)';
		echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="reservoptval(this);colorval(\'reservoptval\');" id="reservoptval" name="valid_reseleve_opts" value="Valider" /></p></div>';
		echo '<script type="text/javascript">
			function reservoptval(param) {
			var param = "reservopt";
			var val = document.getElementById("daymaxo").value; 
			var mod = document.getElementsByName("resauth");  
			for(i = 0; i < mod.length; i++) {
                if(mod[i].checked)
                var resmod = mod[i].value;
            }         
            var typ = document.getElementsByName("printedt");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var resopt = typ[i].value;
            }
            var resele_activ = document.getElementById("resele_activ_check").checked;
            if(resele_activ===false) {
				var reselea = "0";
			}
			else {
				var reselea = "1";
			}';
			if($espopt['valeur']==1) {
				echo 'var resele_esp = document.getElementById("resele_esp_check").checked;
				if(resele_esp===false) {
					var reselee = "0";
				}
				else {
					var reselee = "1";
				}';
			}
            echo '$.ajax({
			    type: "POST",
			    data: { param: param, val: val, resmod: resmod, resopt: resopt, reselea: reselea';
			    if($espopt['valeur']==1) {
			    	echo ', reselee: reselee';
			    }
			    echo ' },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<hr class="param">';

		// Gestion des retards depuis PMB ou BCDI
		echo '<h2 id="sigb">Gestion des retards de prêts</h2>';
		$verif_nivs_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb'"));
		echo '<p><b>Importation depuis BCDI ou PMB :</b></p>
		<input type="radio" id="sigb_choix0" name="sigb_choix" value="non" ';
		if($verif_nivs_info['valeur']=="non") { echo 'checked'; }
		echo ' /><label for="sigb_choix0">Ne pas permettre cette importation</label>
		<br><input type="radio" id="sigb_choix1" name="sigb_choix" value="pmb" '; 
		if($verif_nivs_info['valeur']=="pmb") { echo 'checked'; }
		echo ' /><label for="sigb_choix1">Permettre l\'importation depuis PMB</label>
		<br><input type="radio" id="sigb_choix2" name="sigb_choix" value="bcdi" '; 
		if($verif_nivs_info['valeur']=="bcdi") { echo 'checked'; }
		echo ' /><label for="sigb_choix2">Permettre l\'importation depuis BCDI</label>
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="sigbval(this);colorval(\'sigbval\');" id="sigbval" value="Valider" name="sigb_valid" /></p>';
		echo '<script type="text/javascript">
			function sigbval(param) {
			var param = "sigb";
			var typ = document.getElementsByName("sigb_choix");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var type = typ[i].value;
            }
            $.ajax({
			    type: "POST",
			    data: { param: param, type: type },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<p><b>Ordre d\'affichage des retards (par défaut)</b></p>';
		// Gestion pour les inscriptions :
		echo '<p>Vous pouvez choisir l\'ordre d\'affichage des retards selon cinq propositions :</p>';
		$oaf_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_retards_ordre'"));
		echo '<input type="radio" id="ordreretdiv" name="ordreret" value="div" ';
		if($oaf_info['valeur']=="div") { echo 'checked'; }
		echo ' /><label for="ordreretdiv">Par division, nom de famille puis prénom</label>
		<br><input type="radio" id="ordreretnom" name="ordreret" value="nom" '; 
		if($oaf_info['valeur']=="nom") { echo 'checked'; }
		echo ' /><label for="ordreretnom">Par nom de famille puis prénom</label>
		<br><input type="radio" id="ordrerettit" name="ordreret" value="tit" '; 
		if($oaf_info['valeur']=="tit") { echo 'checked'; }
		echo ' /><label for="ordrerettit">Par titre</label>
		<br><input type="radio" id="ordreretdat" name="ordreret" value="dat" '; 
		if($oaf_info['valeur']=="dat") { echo 'checked'; }
		echo ' /><label for="ordreretdat">Par date prévue de retour (ordre croissant)</label>
		<br><input type="radio" id="ordreretale" name="ordreret" value="ale" '; 
		if($oaf_info['valeur']=="ale") { echo 'checked'; }
		echo ' /><label for="ordreretale">Par niveau d\'alerte puis date prévue de retour</label>
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="ordrretval(this);colorval(\'ordrretval\');" id="ordrretval" value="Valider" name="ordreret_valid" /></p>';
		echo '<script type="text/javascript">
			function ordrretval(param) {
			var param = "ordrreta";
			var typ = document.getElementsByName("ordreret");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var type = typ[i].value;
            }
            $.ajax({
			    type: "POST",
			    data: { param: param, type: type },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<p id="idsonret"><b>Avertissement sonore à l\'inscription des élèves :</b></p>';

		if(isset($_POST['ajoutson_valid'])) {
			$mimes = array('audio/mpeg',
			'audio/ogg',
			'audio/vnd.wav',
			'audio/x-wav');	
			$file=$_FILES['fileson'];
			//$fichier=$_FILES['fichier'.$k.'']['name'];
			$actualSize = $file['size'];
			// Taille du fichier doit être sous 1,5 mo : 1500000
			$legalSize = "1500000";		
			$Rep = './img/wav/'.$prefix.'/';
			$Racine=opendir($Rep);
	        $Taille=0;
	        while($Dossier = readdir($Racine))
	        {
	          if ( $Dossier != '..' And $Dossier !='.' )
	          {
	            //Ajoute la taille du sous dossier
	            if(is_dir($Rep.'/'.$Dossier)) $Taille += TailleDossier($Rep.'/'.$Dossier);
	            //Ajoute la taille du fichier
	            else $Taille += filesize($Rep.'/'.$Dossier);

	          }
	        }
	        closedir($Racine);
	       	// Taille du dossier doit être sous 20 mo : 20000000
	        if(@in_array($file['type'],$mimes)&&$Taille<20000000&&$actualSize<$legalSize) {
	        	
	        	if (file_exists($Rep.'/'.preg_replace('/[^a-zA-Z0-9_-]/s','',pathinfo($file['name'], PATHINFO_FILENAME)).'.'.pathinfo($file['name'], PATHINFO_EXTENSION))) {
				    echo '<p class="signal">Transfert impossible, un fichier identique existe déjà.</p>';
				}
				else {
					move_uploaded_file($file['tmp_name'], $Rep.'/'.preg_replace('/[^a-zA-Z0-9_-]/s','',pathinfo($file['name'], PATHINFO_FILENAME)).'.'.pathinfo($file['name'], PATHINFO_EXTENSION));
				}
			}
			else if($Taille>=20000000) {
				echo '<p class="signal">Votre dossier de son est trop volumineux.<br>Il faut d\'abord supprimer des sons dans le formulaire ci-dessous.</p>';
			}
			else if($actualSize>=$legalSize) {
				echo '<p class="signal">Ce fichier est trop volumineux. La taille maximale est de 1,5 Mo.</p>';
			}
		}      
    
    	$sontype="sonret";
    	$verif_bip_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_retards_bip'"));
		include('db/proc/sons_gestion.php');
		
		echo '<hr class="param">';

		// Gestion des réservations de docs depuis PMB ou BCDI
		echo '<h2 id="sigb">Gestion des réservations de documents</h2>';
		$verif_nivs_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb_resa'"));
		echo '<p><b>Importation depuis BCDI ou PMB :</b></p>
		<input type="radio" id="sigbr_choix0" name="sigbr_choix" value="non" ';
		if($verif_nivs_info['valeur']=="non") { echo 'checked'; }
		echo ' /><label for="sigbr_choix0">Ne pas permettre cette importation</label>
		<br><input type="radio" id="sigbr_choix1" name="sigbr_choix" value="pmb" '; 
		if($verif_nivs_info['valeur']=="pmb") { echo 'checked'; }
		echo ' /><label for="sigbr_choix1">Permettre l\'importation depuis PMB</label>
		<br><input type="radio" id="sigbr_choix2" name="sigbr_choix" value="bcdi" '; 
		if($verif_nivs_info['valeur']=="bcdi") { echo 'checked'; }
		echo ' /><label for="sigbr_choix2">Permettre l\'importation depuis BCDI</label>
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="sigbresaval(this);colorval(\'sigbresaval\');" id="sigbresaval" value="Valider" name="sigbresa_valid" /></p>';
		echo '<script type="text/javascript">
			function sigbresaval(param) {
			var param = "sigbresa";
			var typ = document.getElementsByName("sigbr_choix");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var type = typ[i].value;
            }
            $.ajax({
			    type: "POST",
			    data: { param: param, type: type },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<p><b>Ordre d\'affichage des réservations (par défaut)</b></p>';
		// Gestion pour les inscriptions :
		echo '<p>Vous pouvez choisir l\'ordre d\'affichage des retards selon cinq propositions :</p>';
		$oaf_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb_resaord'"));
		echo '<input type="radio" id="ordreresdiv" name="ordreres" value="div" ';
		if($oaf_info['valeur']=="div") { echo 'checked'; }
		echo ' /><label for="ordreresdiv">Par division, nom de famille puis prénom</label>
		<br><input type="radio" id="ordreresnom" name="ordreres" value="nom" '; 
		if($oaf_info['valeur']=="nom") { echo 'checked'; }
		echo ' /><label for="ordreresnom">Par nom de famille puis prénom</label>
		<br><input type="radio" id="ordrerestit" name="ordreres" value="tit" '; 
		if($oaf_info['valeur']=="tit") { echo 'checked'; }
		echo ' /><label for="ordrerestit">Par titre</label>
		<br><input type="radio" id="ordreresdat" name="ordreres" value="dat" '; 
		if($oaf_info['valeur']=="dat") { echo 'checked'; }
		echo ' /><label for="ordreresdat">Par date de mise à disposition (ordre croissant)</label>
		<br><p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="ordrresval(this);colorval(\'ordrresval\');" id="ordrresval" value="Valider" name="ordreres_valid" /></p>';
		echo '<script type="text/javascript">
			function ordrresval(param) {
			var param = "ordrresa";
			var typ = document.getElementsByName("ordreres");    
			for(i = 0; i < typ.length; i++) {
                if(typ[i].checked)
                var type = typ[i].value;
            }
            $.ajax({
			    type: "POST",
			    data: { param: param, type: type },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<p id="idsonret"><b>Avertissement sonore à l\'inscription des élèves :</b></p>';
    
    	$sontype="sonres";
    	$verif_bip_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb_resabip'"));
		include('db/proc/sons_gestion.php');
		
		echo '<hr class="param">';

		//STATS NOTIF + SEUIL CRENEAUX
		echo '<h2 id="idsonvisits">Notifications</h2>';
		echo '<div style="width:450px;float:right;" class="paddvalid1"><input class="bouton boutfreq" type="submit" value="Valider" onclick="statsopval(this);colorval(\'statsopval\');" id="statsopval" name="seuilcren_valid" /></div>';
		$nopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_notif_opt'"));
		$nnb = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_notif_nb'"));
		echo '<input type="checkbox" id="notifopt" name="notifopt"';
		if($nopt['valeur']==1) { echo ' checked'; }
		echo ' /><label for="notifopt">Notification de visites lors de l\'inscription</label>, toutes les <input type="number" id="notifnb" name="notifnb" class="number" value="'.$nnb['valeur'].'" /> visites</p>';
		$sontype="sonvisits";
		$verif_bip_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_nbvisites_bip'"));
		echo '<div id="sonvisits" style="display:';
		if($nopt['valeur']==1) { echo 'block'; } else { echo 'none'; }
		echo ';" >';
		include('db/proc/sons_gestion.php');
		echo '</div>';

		$bopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_birthday_img'"));
		echo '<br><div id="idsonnniv"></div><input type="checkbox" id="notifbirth" name="notifbirth"';
		if($bopt['valeur']==1) { echo ' checked'; }
		echo ' /><label for="notifbirth">Notification lors d\'un anniversaire à l\'inscription</p>';
		$sontype="sonanniv";
		$verif_bip_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_birthday_bip'"));
		echo '<div id="sonanniv" style="display:';
		if($bopt['valeur']==1) { echo 'block'; } else { echo 'none'; }
		echo ';" >';
		include('db/proc/sons_gestion.php');
		echo '</div>';
		
		echo '<script type="text/javascript">
			function statsopval(param) {
			var param = "notifications";
			var valn = document.getElementById("notifnb").value;
			var checkeda = document.getElementById("notifopt").checked;
			if(checkeda===false) {
				var notifopt = "0";
				document.getElementById("sonvisits").style.display = "none";   
			}
			else {
				var notifopt = "1";
				document.getElementById("sonvisits").style.display = "block";   
			}
			var checkedb = document.getElementById("notifbirth").checked;
			if(checkedb===false) {
				var notifbirth = "0";
				document.getElementById("sonanniv").style.display = "none";   
			}
			else {
				var notifbirth = "1";
				document.getElementById("sonanniv").style.display = "block";   
			}
            $.ajax({
			    type: "POST",
			    data: { param: param, notifopt: notifopt, notifbirth: notifbirth, valn: valn },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<hr class="param">';

		//OPTIONS DIVERSES
		echo '<h2 id="alii">Options diverses</h2>';
		echo '<input type="checkbox" name="cienchoix" id="cienchoix"';
		$cienchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_cienchoix'"));
		if ($cienchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="cienchoix"> Choix du créneau possible pour les inscriptions</label><br>';
		echo '<input type="checkbox" name="classe" id="classe"';
		$classe_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_classe'"));
		if ($classe_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="classe"> Possibilité d\'inscrire par affichage de classe</label><br>';		
		echo '<input type="checkbox" name="chgtactiv" id="chgtactiv"';
		$chgtactiv_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_chgtactiv'"));
		if ($chgtactiv_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="chgtactiv"> Possibilité d\'opérer des modifications dans le journal</label><br>';
		echo '<input type="checkbox" name="jouhor" id="jouhor"';
		$jhors_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_jhors'"));
		if ($jhors_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="jouhor"> Option de visualisation des heures d\'inscriptions et de sorties dans le journal</label><br>';
		echo '<input type="checkbox" name="appelchoix" id="appelchoix"';
		$appelchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_appel'"));
		if (substr($appelchoix_info['valeur'],0,1)==2) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="appelchoix"> Signalement de l\'appel pour la consultation des inscriptions</label><br>';
		echo '<input type="checkbox" name="buttonchoix" id="buttonchoix"';
		$buttonchoix_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_inscritbutton'"));
		if ($buttonchoix_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="buttonchoix"> Affichage des boutons de sortie et d\'exclusion, des retards, en droits non administrateurs</label><br>';
		echo '<input type="checkbox" name="pronote" id="pronote"';
		$pronote_info = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_inscritpronote'"));
		if ($pronote_info['valeur']==1) { $check = 'checked'; } else { $check = 0; }
		echo ' '.$check.'/><label for="pronote"> Inscription par copié/collé depuis Pronote</label><br>';
		echo '<p class="paddvalid1"><input class="bouton boutfreq" type="submit" onclick="aliival(this);colorval(\'aliival\');" id="aliival" value="Valider" name="alii_valid" /></p>';
		echo '<script type="text/javascript">
			function aliival(param) {
			var param = "alii";
			var checka = document.getElementById("cienchoix").checked;
			if(checka===false) { var cienchoix = "0"; }
			else { var cienchoix = "1"; }
			var checkb = document.getElementById("classe").checked;
			if(checkb===false) { var classe = "0"; }
			else { var classe = "1"; }
			var checkc = document.getElementById("chgtactiv").checked;
			if(checkc===false) { var chgtactiv = "0"; }
			else { var chgtactiv = "1"; }
			var checkd = document.getElementById("jouhor").checked;
			if(checkd===false) { var jouhor = "0"; }
			else { var jouhor = "1"; }
			var checke = document.getElementById("appelchoix").checked;
			if(checke===false) { var appelchoix = "0"; }
			else { var appelchoix = "1"; }
			var checkf = document.getElementById("buttonchoix").checked;
			if(checkf===false) { var buttonchoix = "0"; }
			else { var buttonchoix = "1"; }
			var checkg = document.getElementById("pronote").checked;
			if(checkg===false) { var pronote = "0"; }
			else { var pronote = "1"; }
			$.ajax({
			    type: "POST",
			    data: { param: param, cienchoix: cienchoix, classe: classe, chgtactiv: chgtactiv, jouhor: jouhor, appelchoix: appelchoix, buttonchoix: buttonchoix, pronote: pronote },
			    url: "js/idl/freq_param_syn.php",
			   });			
			}
		</script>';

		echo '<script type="text/javascript">
		function colorval(divs) {
			var couleur = "black 2px solid";
			var couleurw = "white 2px solid";
			var color = "black";
			var colorw = "white";			    
            document.getElementById(divs).style.border = couleur;
			document.getElementById(divs).style.color = color;
			setTimeout(() => {  
				document.getElementById(divs).style.color = colorw; 
				document.getElementById(divs).style.border = couleurw;
				}, 2000);
			}
		</script>';
	}
}
else {
	include('include/noaccess.php');
	echo '<br><a href="./index.php">Accueil</a></p>';
}
?>
