<?php session_start(); ?>
<!doctype html>
<?php include('db/idl_connect.php');
if(isset($_SESSION['user_droits'])) {
	if($_SESSION['user_droits'][0]!="2")
	{
		echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
		<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />';
		$page_header = 'eval'; 
		include('include/header.php');
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="index.php">Accueil</a></p>';
	}
else { ?>
<html>
<head>

	<meta charset="utf-8" />
	<title>Evaluation - InfodocLog</title>
	<link rel="stylesheet" href="css/jquery-ui.css">
	<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
	<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />
	<link rel="stylesheet" href="include/fontawesome/css/all.css">
	<script type="text/javascript" src="js/jquery-3.7.0.js"></script>
	<script type="text/javascript" src="js/jquery-ui.js"></script>
	<?php include('include/suggestions.php'); ?>
	<script type='text/javascript'>

		function getXhr(){
							var xhr = null; 
			if(window.XMLHttpRequest) // Firefox et autres
			   xhr = new XMLHttpRequest(); 
			else if(window.ActiveXObject){ // Internet Explorer 
			   try {
						xhr = new ActiveXObject("Msxml2.XMLHTTP");
					} catch (e) {
						xhr = new ActiveXObject("Microsoft.XMLHTTP");
					}
			}
			else { // XMLHttpRequest non supporté par le navigateur 
			   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
			   xhr = false; 
			} 
			return xhr;
		}

		/**
		* Méthode qui sera appelée sur le click du bouton la division
		*/
		function div(){
			
			var xhr = getXhr();
			xhr.onreadystatechange = function(){
				if(xhr.readyState == 4 && xhr.status == 200){
					leselect = xhr.responseText;
					document.getElementById('seqch').innerHTML = leselect;
				}
			}

			xhr.open("POST","db/proc/eval_select_seq.php",true);
			xhr.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
			sel = document.getElementById('division');
			idauteur = sel.options[sel.selectedIndex].value;
			xhr.send("idAuteur="+idauteur);
		}
		</script>
		<script language="javascript">
			function toggleDiv(divid){
				if(document.getElementById(divid).style.display == "none"){
					document.getElementById(divid).style.display = "block";
				}else{
					document.getElementById(divid).style.display = "none";
				}
			}
		</script>
		<script type="text/javascript">
			jQuery(function($){
				$('.div-loading').hide(); // On masque le gif au chargement de la page
				$('.ajax-load').click(function(e){
					// Affichage du gif de chargement et envoi requête AJAX
					$('.div-loading').show();
					$.get(
						'eval.php',
						function(data){
							$('.div-loading').hide(); // On masque le gif 
						}
					);
				});
			});
		</script>
</head>

<body>
	
	<?php $page_header = 'eval'; ?>
	<?php include('include/header.php'); ?>
	
	<section>
		<?php include('include/nav/nav_eval.php'); ?>
		<article id="art_eval">
			<?php
			if(!isset($_GET['page'])) {
				$verif_tabeleves = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves");
				$nb_ele = mysqli_num_rows($verif_tabeleves);
				if($nb_ele==0) {
					echo '<h1>Evaluation des élèves</h1><h2>Aucun élève dans la base de données. <a href="database.php">Intégrer les élèves</a>.</h2>';
				}
				else {
					include('./contenu/eval_classe.php');
				}
			}
			else {
				switch($_GET['page']) {
					case'classe':
						include('./contenu/eval_classe.php');
						break;
					case'eleve':
						include('./contenu/eval_eleve.php');
						break;
					case'sequence':
						include('./contenu/eval_sequ.php');
						break;
					case'print':
						include('./contenu/eval_print.php');
						break;
				}
			}
			?>
		</article>
	
	</section>
	<footer id="foot_eval">
	<?php include('include/footer.php'); ?>
	</footer>
</body>
</html>
<?php
}
}
else {
	echo '<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />';
	$page_header = 'eval'; 
	include('include/header.php');
	include('include/noaccess.php');
	echo '<br><a href="index.php">Accueil</a></p>';
}
?>
